using Microsoft.VisualStudio.TestTools.UnitTesting;

using MaszynaTuringa;
using static MaszynaTuringa.TuringHelper;

namespace TestyJednostkoweMaszynyTuringa
{
    [TestClass]
    public class UnitTest1
    {
        [TestMethod]
        public void TestMetodyCzyInstrukcjaJestPoprawna()
        {
            Assert.IsTrue(CzyInstrukcjaJestPoprawna("qQQq"));
            Assert.IsFalse(CzyInstrukcjaJestPoprawna("qQQ"));
            Assert.IsFalse(CzyInstrukcjaJestPoprawna("QQQq"));
            Assert.IsFalse(CzyInstrukcjaJestPoprawna("qqQq"));
            Assert.IsFalse(CzyInstrukcjaJestPoprawna("qQqq"));
            Assert.IsFalse(CzyInstrukcjaJestPoprawna("qQqQ"));
            Assert.IsFalse(CzyInstrukcjaJestPoprawna("1QQq"));
            Assert.IsFalse(CzyInstrukcjaJestPoprawna("q1Qq"));
            Assert.IsFalse(CzyInstrukcjaJestPoprawna("#QQq"));
            Assert.IsFalse(CzyInstrukcjaJestPoprawna("q#Qq"));
        }
    }
}
